#import "c:\program files\common files\system\ado\msado15.dll" no_namespace rename("EOF", "adoEOF")

bool open(char* username, char* password, char* dbname, char* ip);
_RecordsetPtr& execute(_bstr_t SQL);
/**
* 带输入参数的查询SQL语句.
* @param SQL					 - <I> SQL语句
* @param inputValueCount         - <I> 输入参数数量
* @param inputValue			     - <I> 输入参数值
* @param outputColumn			 - <O> 输出表的列的数量
* @param outputValueCount        - <O> 输出表的行的数量
* @param outputValue			 - <O> 输出表内容
* @return - OCI_OK or error code
*
*    ORACLE 数据库的连接与封装函数
*/
int ado_QuerySQL(char *SQL, int inputValueCount, char ** inputValue, int * outputColumn, int * outputValueCount, char **** outputValue);

int ado_QuerySQLNoInputParam(char *SQL, int * outputColumn, int * outputValueCount, char **** outputValue);
// 执行类操作
int ado_ExecuteSQL(char *SQL, int valueCount, char **value);
/**
* 不带输入参数的执行SQL语句.
* @param SQL			- <I> SQL语句
* @return - OCI_OK or error code
*
*    ORACLE 数据库的连接与封装函数
*/
int ado_ExecuteSQLNoInputParam(char *SQL);
/**
* 断开数据库连接.
*
*    ORACLE 数据库的连接与封装函数
*/
void close();
